<?php
/*
Plugin Name: Comment Landing Page
Plugin URI: http://outthinkgroup.com
Description: Redirects to a landing page after someone leaves a comment instead of going back to the original post.
Author: Tim Grahl
Author URI: http://www.outthinkgroup.com
Version: 0.9

    Copyright 2009 - Out:think Group  (email : tim@outthinkgroup.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

add_action('admin_menu', 'clp_menu');
add_filter('comment_post_redirect', 'redirect_commenter',1,2);

function clp_menu() {
	add_options_page('Comment Landing Page', 'Comment Landing Page', '8', 'comment-landing-page.php', 'comment_landing_options');
}

function comment_landing_options() { 
	
	if($_POST['action'] == 'update') {
		update_option('clp_landing',$_POST['clp-page']);
		$success = true;
	}
	
	?>

	<div class="wrap">
		<style type="text/css" media="screen">
			.pages-list li {
				float: left;
				width: 170px;
				margin-right: 30px;

			}
			.pages-list li input {
				float: left;
				margin-right: 4px;
			}
			.clr {
				clear: both;
			}
		</style>
	<h2>Comment Landing Page</h2>
	<?php if($success) : ?>
		<div class="updated fade" id="message"><p>Comment landing page has been <strong>successfully updated</strong>.</p></div>
	<?php endif; ?>
	<p>Please choose which page you want to display after someone comments.</p>
	<form method="post">
		<?php $clp_landing = get_option('clp_landing'); ?>
			<select name="clp-page">
				<?php
				// Displaying list of checkboxes from which to select
				$apages = get_pages(); 
				foreach ($apages as $apage) {
				?>
				<option value="<?=$apage->ID?>"<?php if($apage->ID == $clp_landing) : echo " selected='selected'"; endif; ?>><?=$apage->post_title?></option>
				 <?php } ?>
			</select>
		</div>
		
		<input type="hidden" name="action" value="update" />
		<p class="submit">
		<input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
		</p>
	</form>
	</div>

<?php } 

function redirect_commenter($location, $comment)
{	
	return get_permalink(get_option('clp_landing')) . "?cID=" . $comment->comment_ID; 	
}


?>
